.loader {
    border: 5px solid #f3f3f3;
    border-radius: 50%;
    border-top: 5px solid #777;
    width: 60px;
    height: 60px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
    position: absolute;
  top: 47%;
  left: 48%;
  z-index:99999;
  }
  
  .loader_wrapper .gif_container {
      width: 65px;
      margin-right: auto;
      margin-left: auto;
      position: relative;
      top: 25%;
  }
  
  .loader_wrapper{
      display:none;
      width: 100%;
      height: 100%;
      z-index:9999;
      position: fixed;
      left:0px;
      top:0px;
      background: rgba(255, 255, 255, 1);
  }
  /* Safari */
  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  
  .nk-sidebar-brand, a.logo-link.nk-sidebar-logo {
    width: 100%;
  }

  .preloader .vs-btn{
    padding:10px 20px;
    border-radius:0;
    font-size:14px
}
.preloader-inner{
    text-align:center;
    position:absolute;
    left:50%;
    top:50%;
    -webkit-transform:translate(-50%, -50%);
    -ms-transform:translate(-50%, -50%);
    transform:translate(-50%, -50%);
    text-align:center
}
.preloader-inner img{
    display:block;
    margin:0 auto 5px auto
}
.beat-loader{
    stroke:#007FFF;
    stroke-dasharray:175;
    stroke-dashoffset:350;
    -webkit-animation:draw 1.4s linear;
    animation:draw 1.4s linear;
    -webkit-animation-iteration-count:infinite;
    animation-iteration-count:infinite
}
@-webkit-keyframes draw{
    to{
        stroke-dashoffset:0
    }
}
@keyframes draw{
    to{
        stroke-dashoffset:0
    }
}
  
  .loader_success{
  display:none;
  width: 100%;
  height: 100%;
  z-index:99999;
  position: fixed;
  left:0px;
  top:0px;
  padding:15px;
  background: rgba(255, 255, 255, 1);
  }	
  
  .loader_success .message{
    top: 30%;
    position: relative;
  }	
  
  .success-checkmark {
  width: 80px;
  height: 115px;
    margin-left: auto;
    margin-right: auto;
    top: 40%;
    position: relative;
  }
  .success-checkmark .check-icon {
  width: 80px;
  height: 80px;
  position: relative;
  border-radius: 50%;
  box-sizing: content-box;
  border: 4px solid #4CAF50;
  }
  .success-checkmark .check-icon::before {
  top: 3px;
  left: -2px;
  width: 30px;
  transform-origin: 100% 50%;
  border-radius: 100px 0 0 100px;
  }
  .success-checkmark .check-icon::after {
  top: 0;
  left: 30px;
  width: 60px;
  transform-origin: 0 50%;
  border-radius: 0 100px 100px 0;
  animation: rotate-circle 4.25s ease-in;
  }
  .success-checkmark .check-icon::before, .success-checkmark .check-icon::after {
  content: '';
  height: 100px;
  position: absolute;
  background: #FFFFFF;
  transform: rotate(-45deg);
  }
  .success-checkmark .check-icon .icon-line {
  height: 5px;
  background-color: #4CAF50;
  display: block;
  border-radius: 2px;
  position: absolute;
  z-index: 10;
  }
  .success-checkmark .check-icon .icon-line.line-tip {
  top: 46px;
  left: 14px;
  width: 25px;
  transform: rotate(45deg);
  animation: icon-line-tip 0.75s;
  }
  .success-checkmark .check-icon .icon-line.line-long {
  top: 38px;
  right: 8px;
  width: 47px;
  transform: rotate(-45deg);
  animation: icon-line-long 0.75s;
  }
  .success-checkmark .check-icon .icon-circle {
  top: -4px;
  left: -4px;
  z-index: 10;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  position: absolute;
  box-sizing: content-box;
  border: 4px solid rgba(76, 175, 80, 0.5);
  background: none !important;
  }
  .success-checkmark .check-icon .icon-fix {
  top: 8px;
  width: 5px;
  left: 26px;
  z-index: 1;
  height: 85px;
  position: absolute;
  transform: rotate(-45deg);
  background-color: #FFFFFF;
  }
  
 .invalid-custom{
  color: #e85347;
  font-size: 11px;
  font-style: italic;
 }
 .custom-drop-button{
  display: flex;
  align-items: center;
  padding: .625rem 1.25rem;
  font-size: 12px;
  font-weight: 500;
  color: #526484;
  transition: all .4s;
  line-height: 1.3rem;
  position: relative;
  background: transparent;
    border: 0px;
 }

 .custom-drop-button .icon{
  font-size: 1.125rem;
  width: 1.75rem;
  opacity: .8;
  text-align: left;
 }

 @keyframes rotate-circle {
  0% {
    transform: rotate(-45deg);
  }
  5% {
    transform: rotate(-45deg);
  }
  12% {
    transform: rotate(-405deg);
  }
  100% {
    transform: rotate(-405deg);
  }
}
@keyframes icon-line-tip {
  0% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  54% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  70% {
    width: 50px;
    left: -8px;
    top: 37px;
  }
  84% {
    width: 17px;
    left: 21px;
    top: 48px;
  }
  100% {
    width: 25px;
    left: 14px;
    top: 45px;
  }
}
@keyframes icon-line-long {
  0% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  65% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  84% {
    width: 55px;
    right: 0px;
    top: 35px;
  }
  100% {
    width: 47px;
    right: 8px;
    top: 38px;
  }
}

div#loadingDiv {
  background: #fff !important;
  position: absolute;
  width: 100%;
  z-index: 99999;
  height: 100%;
  left: 0px;
  top: 0;
}